<div class="col-lg-12">
    <h2><strong>{$params.name}</strong></h2>
</div>
<div class="col-md-4">
    <strong>ID:</strong> {$params.id}
</div>
<div class="col-md-4">
    <strong>Resource Pack:</strong> {$params.pid}
</div>
<div class="col-md-4">
    <strong>Label:</strong> {$params.label}
</div>
<div class="col-md-12">
    <div style="border-bottom: 1px solid #646464;margin-bottom:8px;margin-top: 5px"></div>
</div>
<div class="col-md-6">
    <div class="vf-mb-3">
        <div><strong>Servers</strong></div>
        <div class="progress vf-mb-0">
            <div class="progress-bar" role="progressbar" style="width: {$params.usage.servers.p}%;" aria-valuenow="{$params.usage.servers.p}" aria-valuemin="0" aria-valuemax="100">{$params.usage.servers.p}%</div>
        </div>
        <div class="d-flex align-items-center justify-content-between vf-bold">
            {if $params.usage.servers.l}
                <div class="vf-small">{$params.usage.servers.u}/{$params.usage.servers.t}</div>
            {else}
                <div class="vf-small">∞/{$params.usage.servers.t}</div>
            {/if}
            {if $params.usage.servers.l}
                <div class="vf-small">{$params.usage.servers.f} Avail</div>
            {else}
                <div class="vf-small">∞ Avail</div>
            {/if}
        </div>
    </div>
</div>
<div class="col-md-6">
    <div class="vf-mb-3">
        <div class="d-flex align-items-center justify-content-between vf-bold">
            <div>Memory</div>
            <div>MB</div>
        </div>
        <div class="progress vf-mb-0">
            <div class="progress-bar" role="progressbar" style="width: {$params.usage.memory.p}%;" aria-valuenow="{$params.usage.memory.p}" aria-valuemin="0" aria-valuemax="100">{$params.usage.memory.p}%</div>
        </div>
        <div class="d-flex align-items-center justify-content-between vf-bold">
            {if $params.usage.memory.l}
                <div class="vf-small">{$params.usage.memory.u}/{$params.usage.memory.t}</div>
            {else}
                <div class="vf-small">∞/{$params.usage.memory.t}</div>
            {/if}
            {if $params.usage.memory.l}
                <div class="vf-small">{$params.usage.memory.f} Avail</div>
            {else}
                <div class="vf-small">∞ Avail</div>
            {/if}
        </div>
    </div>
</div>
<div class="col-md-6">
    <div class="vf-mb-3">
        <div class="d-flex align-items-center justify-content-between vf-bold">
            <div>Storage</div>
            <div>GB</div>
        </div>
        <div class="progress vf-mb-0">
            <div class="progress-bar" role="progressbar" style="width: {$params.usage.storage.p}%;" aria-valuenow="{$params.usage.storage.p}" aria-valuemin="0" aria-valuemax="100">{$params.usage.storage.p}%</div>
        </div>
        <div class="d-flex align-items-center justify-content-between vf-bold">
            {if $params.usage.storage.l}
                <div class="vf-small">{$params.usage.storage.u}/{$params.usage.storage.t}</div>
            {else}
                <div class="vf-small">∞/{$params.usage.storage.t}</div>
            {/if}
            {if $params.usage.storage.l}
                <div class="vf-small">{$params.usage.storage.f} Avail</div>
            {else}
                <div class="vf-small">∞ Avail</div>
            {/if}
        </div>
    </div>
</div>
<div class="col-md-6">
    <div class="vf-mb-3">
        <div class="d-flex align-items-center justify-content-between vf-bold">
            <div>CPU</div>
            <div>Cores</div>
        </div>
        <div class="progress vf-mb-0">
            <div class="progress-bar" role="progressbar" style="width: {$params.usage.cpu.p}%;" aria-valuenow="{$params.usage.cpu.p}" aria-valuemin="0" aria-valuemax="100">{$params.usage.cpu.p}%</div>
        </div>
        <div class="d-flex align-items-center justify-content-between vf-bold">
            {if $params.usage.cpu.l}
                <div class="vf-small">{$params.usage.cpu.u}/{$params.usage.cpu.t}</div>
            {else}
                <div class="vf-small">∞/{$params.usage.cpu.t}</div>
            {/if}
            {if $params.usage.cpu.l}
                <div class="vf-small">{$params.usage.cpu.f} Avail</div>
            {else}
                <div class="vf-small">∞ Avail</div>
            {/if}
        </div>
    </div>
</div>
<div class="col-md-6">
    <div class="vf-mb-3">
        <div class="d-flex align-items-center justify-content-between vf-bold">
            <div>Traffic</div>
            <div>GB</div>
        </div>
        <div class="progress vf-mb-0">
            <div class="progress-bar" role="progressbar" style="width: {$params.usage.traffic.p}%;" aria-valuenow="{$params.usage.traffic.p}" aria-valuemin="0" aria-valuemax="100">{$params.usage.traffic.p}%</div>
        </div>
        <div class="d-flex align-items-center justify-content-between vf-bold">
            {if $params.usage.traffic.l}
                <div class="vf-small">{$params.usage.traffic.u}/{$params.usage.traffic.t}</div>
            {else}
                <div class="vf-small">∞/{$params.usage.traffic.t}</div>
            {/if}
            {if $params.usage.traffic.l}
                <div class="vf-small">{$params.usage.traffic.f} Avail</div>
            {else}
                <div class="vf-small">∞ Avail</div>
            {/if}
        </div>
    </div>
</div>
<div class="col-md-12">
    <div style="border-bottom: 1px solid #646464;margin-bottom:8px;margin-top: 5px"></div>

    <table class="vf-table vf-mt-4">
        <tr>
            <th width="1">ID</th>
            <th>Name</th>
            <th>Memory</th>
            <th>CPU</th>
            <th>Storage</th>
            <th>Traffic</th>
            <th>Hypervisor</th>
        </tr>
        {if $params.servers}
            {foreach from=$params.servers item=server}
                <tr>
                    <td>{$server.id}</td>
                    <td>{$server.name}</td>
                    <td>{$server.resources.memory}</td>
                    <td>{$server.resources.cpu}</td>
                    <td>{$server.resources.storage}</td>
                    <td>{$server.resources.traffic}</td>
                    <td>{$server.hypervisor.name}</td>
                </tr>
            {/foreach}
        {/if}
    </table>
    {if !$params.servers}
        <div class="d-flex justify-content-center vf-w-100 vf-mt-3">No Servers Found</div>
    {/if}

</div>
