<?php

namespace WHMCS\Module\Server\VirtFusionResourcePack;

use WHMCS\Module\Server\VirtFusionResourcePack\Module;

class AdminHTML
{
    /**
     * @param $systemUrl
     * @param $serviceId
     * @return mixed
     */
    public static function options($systemUrl, $serviceId): mixed
    {
        return (new Module())->toSmarty('admin-options', ['systemUrl' => $systemUrl, 'serviceId' => $serviceId]);
    }

    /**
     * @param $systemUrl
     * @param $packId
     * @return mixed
     */
    public static function packId($systemUrl, $packId): mixed
    {
        return (new Module())->toSmarty('admin-packid', ['systemUrl' => $systemUrl, 'packId' => $packId]);
    }

    /**
     * @param $systemUrl
     * @param $serviceId
     * @return mixed
     */
    public static function packInfo($systemUrl, $serviceId): mixed
    {
        return (new Module())->toSmarty('admin-packinfo', ['systemUrl' => $systemUrl, 'serviceId' => $serviceId]);
    }
}