<link href="{$systemURL}modules/servers/VirtFusionResourcePack/templates/css/module.css" rel="stylesheet">
<script src="{$systemURL}modules/servers/VirtFusionResourcePack/templates/js/module.js"></script>

{if $serviceStatus eq 'Active'}
    <div class="panel card panel-default t mb-3">
        <div class="panel-heading card-header">
            <h3 class="panel-title card-title m-0">Pack Overview</h3>
        </div>
        <div class="panel-body card-body p-4">
            <script>vfPackData('{$serviceid}', '{$systemURL}');</script>
            <div id="vf-display-data" class="row">
                <div class="d-flex align-items-center justify-content-center w-100">
                    <div class="spinner-border"></div>
                </div>
            </div>
        </div>
    </div>
    <div class="panel card panel-default mb-3">
        <div class="panel-heading card-header">
            <h3 class="panel-title card-title m-0">Servers</h3>
        </div>
        <div class="panel-body card-body p-2">
            <div id="vf-display-data-servers" class="row">
                <div class="d-flex align-items-center justify-content-center w-100">
                    <div class="spinner-border"></div>
                </div>
            </div>
        </div>
    </div>
    <div class="panel card panel-default mb-3">
        <div class="panel-heading card-header">
            <h3 class="panel-title card-title m-0">Manage</h3>
        </div>
        <div class="panel-body card-body p-4">
            <div class="row">
                <div class="col-12">
                    <div id="vf-login-error" class="alert alert-danger"></div>
                    <p>Manage your resource pack and servers via our dedicated control panel. You will be automatically authenticated and the control panel will open in a new window.</p>
                    <button id="vf-login-button" onclick="vfLoginAsOwner('{$serviceid}','{$systemURL}',true)" type="button" class="btn btn-primary d-flex align-items-center">
                        <div id="vf-login-button-spinner" class="spinner-border spinner-border-sm text-light vf-spinner-margin"></div>
                        Open Control Panel
                    </button>
                </div>
                <div class="col-12">
                    <p class="mb-0 pt-3 vf-small">Having trouble opening the control panel in a new window?
                        <a href="#" onclick="vfLoginAsOwner('{$serviceid}','{$systemURL}',false)">Click here</a> to open in this window.
                    </p>
                </div>
                {if $serverHostname}
                    <div class="col-12">
                        <hr>
                        <div id="vf-password-reset-error" class="alert alert-danger">Oops! Something went wrong. Try again later.</div>
                        <div id="vf-password-reset-success" class="alert alert-success">
                            <div class="mb-2 font-weight-bold">Your new login credentials. These will only be displayed once.</div>
                            <div class="font-weight-bold">Email:
                                <span class="font-weight-normal" id="vf-data-user-email"></span></div>
                            <div class="font-weight-bold">Password:
                                <span class="font-weight-normal" id="vf-data-user-password"></span></div>
                        </div>
                        <p class="pt-0">Alternatively you may directly access the control panel at
                            <a target="_blank" href="https://{$serverHostname}">{$serverHostname}</a>
                        </p>
                        <button id="vf-password-reset-button" onclick="vfUserPasswordReset('{$serviceid}','{$systemURL}',true)" type="button" class="btn btn-primary d-flex align-items-center">
                            <div id="vf-password-reset-button-spinner" class="spinner-border spinner-border-sm text-light vf-spinner-margin"></div>
                            Reset Login Credentials
                        </button>
                    </div>
                {/if}
            </div>
        </div>
    </div>
{/if}


<div class="panel card panel-default mb-3">
    <div class="panel-heading card-header">
        <h3 class="panel-title card-title m-0">Billing Overview</h3>
    </div>
    <div class="panel-body card-body">
        <div class="row">
            <div class="col-lg-6">
                <div class="row p-2">
                    <div class="col-xs-6 col-6 text-right vf-bold">
                        Product:
                    </div>
                    <div class="col-xs-6 col-6">
                        {$groupname} - {$product}
                    </div>
                </div>
                <div class="row p-2">
                    <div class="col-xs-6 col-6 text-right vf-bold">
                        {$LANG.recurringamount}:
                    </div>
                    <div class="col-xs-6 col-6">
                        {$recurringamount}
                    </div>
                </div>
                <div class="row p-2">
                    <div class="col-xs-6 col-6 text-right vf-bold">
                        {$LANG.orderbillingcycle}:
                    </div>
                    <div class="col-xs-6 col-6">
                        {$billingcycle}
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="row p-2">
                    <div class="col-xs-6 col-6 text-right vf-bold">
                        {$LANG.clientareahostingregdate}:
                    </div>
                    <div class="col-xs-6 col-6">
                        {$regdate}
                    </div>
                </div>
                <div class="row p-2">
                    <div class="col-xs-6 col-6 text-right vf-bold">
                        {$LANG.clientareahostingnextduedate}:
                    </div>
                    <div class="col-xs-6 col-6">
                        {$nextduedate}
                    </div>
                </div>
                <div class="row p-2">
                    <div class="col-xs-6 col-6 text-right vf-bold">
                        {$LANG.orderpaymentmethod}:
                    </div>
                    <div class="col-xs-6 col-6">
                        {$paymentmethod}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>